Appearance
Get single brokerage instruction
GET
/v2/brokerage/history/{orderId}
Get a single brokerage instruction record using the orderId of the simple order / simple swap. The response is returned as an array containing a single record.
Authorizations
apiKey
Your API key
Type
API Key (header: X-VALR-API-KEY)
apiSignature
HMAC SHA512 signature of the request (see Authentication section)
Type
API Key (header: X-VALR-SIGNATURE)
apiTimestamp
Request timestamp in milliseconds
Type
API Key (header: X-VALR-TIMESTAMP)
Parameters
Path Parameters
orderId*
The unique id of the simple order or simple swap
Type
Requiredstring
Responses
Brokerage instruction retrieved successfully
application/json
JSON
[
{
"identifier": "48657a89-5ff6-483c-a8d4-e8a1d0648fb4",
"orderId": "de689cf3-f667-4104-905b-2fdb439618bc",
"transferId": "377573",
"accountId": 0,
"feeAccountId": 1311349150067826700,
"requestedPayAmount": "100",
"actualPayAmount": "99.99857355",
"payCurrency": "ZAR",
"receiveCurrency": "XRP",
"receiveAmount": "75.544",
"feeRate": "0.01",
"feeCurrency": "XRP",
"feeAmount": "0.75544",
"customerOrderId": "brokerage-order-01",
"createdAt": 1739378546678,
"status": "COMPLETED",
"leg1TradeFeeAmount": "0.0314130",
"leg1TradeFeeCurrency": "USDT",
"leg2TradeFeeAmount": "0.456",
"leg2TradeFeeCurrency": "XRP"
}
]